Configure Opening Templates
curl --request PUT \
--url https://api.getnexor.ai/api/public/template-pools/opening \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mode": "auto",
"template_names": [
"<string>"
]
}
'import requests
url = "https://api.getnexor.ai/api/public/template-pools/opening"
payload = {
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mode": "auto",
"template_names": ["<string>"]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workflow_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
mode: 'auto',
template_names: ['<string>']
})
};
fetch('https://api.getnexor.ai/api/public/template-pools/opening', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"opening": {
"mode": "auto",
"templates": [
"<string>"
]
}
}{
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>",
"code": "<string>"
}Configure Opening Templates
This operation lets you configure opening templates for the authenticated Nexor account. This reference documents verified path, query, and top-level JSON body fields, observed response status codes, and top-level response fields. Provider-owned or deeply nested response shapes may remain open.
PUT
/
template-pools
/
opening
Configure Opening Templates
Safety and behavior notes
- Opening-template changes apply to a WABA-level catalog and can affect multiple client records assigned to that WABA.
Authorizations
API key for authentication. Keys are prefixed with nxr_live_.
Body
application/json
Last modified on September 8, 2026
⌘I